package com.zhongzheng.modules.exam.service;

import com.zhongzheng.modules.exam.domain.ExamNumberGoods;
import com.zhongzheng.modules.exam.vo.ExamNumberGoodsVo;
import com.zhongzheng.modules.exam.bo.ExamNumberGoodsQueryBo;
import com.zhongzheng.modules.exam.bo.ExamNumberGoodsAddBo;
import com.zhongzheng.modules.exam.bo.ExamNumberGoodsEditBo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Collection;
import java.util.List;

/**
 * 考试配置绑定商品Service接口
 *
 * @author ruoyi
 * @date 2021-12-06
 */
public interface IExamNumberGoodsService extends IService<ExamNumberGoods> {
	/**
	 * 查询单个
	 * @return
	 */
	ExamNumberGoodsVo queryById(Long id);

	/**
	 * 查询列表
	 */
	List<ExamNumberGoodsVo> queryList(ExamNumberGoodsQueryBo bo);

	/**
	 * 根据新增业务对象插入考试配置绑定商品
	 * @param bo 考试配置绑定商品新增业务对象
	 * @return
	 */
	Boolean insertByAddBo(ExamNumberGoodsAddBo bo);

	/**
	 * 根据编辑业务对象修改考试配置绑定商品
	 * @param bo 考试配置绑定商品编辑业务对象
	 * @return
	 */
	Boolean updateByEditBo(ExamNumberGoodsEditBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    List<ExamNumberGoodsVo> ListExamNumber(Long examNumberId);

	List<ExamNumberGoodsVo> listGoods(ExamNumberGoodsQueryBo bo);
}
